kf6-kio (6.28.0-0ubuntu1) stonking; urgency=medium

  * New upstream release (6.28.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Jul 2026 09:39:59 +0100

kf6-kio (6.27.0-0ubuntu1) stonking; urgency=medium

  * New upstream release (6.27.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Jun 2026 18:49:23 +0100

kf6-kio (6.26.0-0ubuntu1) stonking; urgency=medium

  * New upstream release (6.25.0)
  * Update symbols.
  * New upstream release (6.26.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2026 07:10:26 +0100

kf6-kio (6.24.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.24.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Mar 2026 23:03:47 +0000

kf6-kio (6.23.0-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for Qt 6.10.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Sun, 15 Feb 2026 00:00:11 +0000

kf6-kio (6.23.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.23.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Feb 2026 11:37:57 +0000

kf6-kio (6.22.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.22.1)
    See: https://mail.kde.org/pipermail/distributions/2026-January/001670.html

 -- Rik Mills <rikmills@kde.org>  Wed, 21 Jan 2026 15:58:20 +0000

kf6-kio (6.22.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Jan 2026 18:31:01 +0000

kf6-kio (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:51:49 +0000

kf6-kio (6.20.0a-0ubuntu1) resolute; urgency=medium

  * Bump version for upstream tarball respin.

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 22:41:06 +0000

kf6-kio (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:14:37 +0000

kf6-kio (6.19.1-0ubuntu1) resolute; urgency=medium

  * New upstream hotfix release (6.19.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 07:51:37 +0100

kf6-kio (6.19.0a-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * Update symbols.
  * New upstream release (6.19.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:06:19 +0100

kf6-kio (6.17.0-0ubuntu2) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Sep 2025 21:36:06 +0100

kf6-kio (6.17.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.17.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Aug 2025 18:15:54 +0100

kf6-kio (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:44:38 +0100

kf6-kio (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)
  * Comment out .install for docs packages for now, as the qch docs are
    currently not buildable in Ubuntu.
  * debian/rules: Do not build python bindings.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:33:36 +0100

kf6-kio (6.14.0-0ubuntu2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 May 2025 10:06:59 +0200

kf6-kio (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 06:58:10 +0100

kf6-kio (6.12.0-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:12:21 -0500

kf6-kio (6.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.12.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 10:52:39 +0000

kf6-kio (6.11.0-0ubuntu2) plucky; urgency=high

  * Sync changes from debian/6.10.0-1

 -- Rik Mills <rikmills@kde.org>  Sat, 15 Feb 2025 08:31:42 +0000

kf6-kio (6.11.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.11.0)
  * Update install files.
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Feb 2025 16:48:16 +0000

kf6-kio (6.10.0a-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 05 Feb 2025 12:58:14 -0600

kf6-kio (6.10.0a-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.10.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2025 12:19:46 +0000

kf6-kio (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.
  * Drop backported commit, now part of the upstream release.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:25:32 +0100

kf6-kio (6.9.0-0ubuntu2) plucky; urgency=medium

  * Explicit depend on kwallet6.

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Jan 2025 13:08:32 +0000

kf6-kio (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:47:20 +0000

kf6-kio (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.
  * Backport upstream MR 1766: StandardThumbnailJob is internal, header
    not installed.
  * Update symbols from build for 6.8.0.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 05 Dec 2024 10:17:23 +0100

kf6-kio (6.8.0-0ubuntu4) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 01:35:30 -0600

kf6-kio (6.8.0-0ubuntu3) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.0.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 01:35:30 -0600

kf6-kio (6.8.0-0ubuntu2) plucky; urgency=medium

  * Move systemsettings to Suggests.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 22 Nov 2024 01:34:22 -0600

kf6-kio (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.7.0)
  * New upstream release (6.8.0)
  * Refresh report_error_removing_dirs patch.
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 16:36:40 +0000

kf6-kio (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:25 -0600

kf6-kio (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.
  * Drop backported commits now part of upstream release.
  * Update symbols from build for 6.6.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 23:12:57 +0200

kf6-kio (6.6.0-0ubuntu3) plucky; urgency=medium

  * Rebuild against Qt 6.7.2 private-abi.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Oct 2024 17:16:39 +0100

kf6-kio (6.6.0-0ubuntu2) oracular; urgency=medium

  * Fix last upload with updates lost in git my merge.
    - Refresh symbols all arches.

 -- Rik Mills <rikmills@kde.org>  Sat, 21 Sep 2024 17:36:55 +0100

kf6-kio (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:06:30 +0100

kf6-kio (6.5.0-2) unstable; urgency=medium

  * Team upload.
  * CI: update/simplify configuration.
  * Pass -DWITH_WAYLAND=OFF to cmake on non-Linux architectures to disable the
    Wayland support, as it is Linux-specific.
  * Backport upstream commit 5718fdce324b247b9f3e8c618be30973c93c10b7 to
    properly enable D-Bus on OSes other than Linux and FreeBSD that can use it;
    patch upstream_Consistently-use-WITH_QTDBUS-instead-of-USE_DBUS.patch.
  * Update symbols files from the logs of buildds.
  * Mark Linux-only symbols as such.

 -- Pino Toscano <pino@debian.org>  Mon, 26 Aug 2024 06:44:17 +0200

kf6-kio (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Drop backported commit now part of the upstream release.
  * Update symbols from build for 6.5.0.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:22:10 +0200

kf6-kio (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:23:16 +0100

kf6-kio (6.4.1-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 20 Jul 2024 09:52:11 +0100

kf6-kio (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files.
  * Backport upstream patch to unbreak Dolphin.
  * Update symbols from build for 6.4.0.
  * Drop obsolete lintian override.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 09:24:54 +0200

kf6-kio (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)
  * Update installed files
  * Update symbols, mark KProtocolManagerPrivate symbols as optional

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:34:32 +0100

kf6-kio (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 15:00:41 +0200

kf6-kio (6.0.0-3) experimental; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.
  * Bump Standards-Version to 4.7.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 18 May 2024 08:53:09 +0200

kf6-kio (6.0.0-2) experimental; urgency=medium

  [ Rene Engelhard ]
  * fix libkf6kio-dev Depends

 -- Patrick Franz <deltaone@debian.org>  Wed, 15 May 2024 20:35:08 +0200

kf6-kio (6.0.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.0.0).
  * Update upstream signing-key.
  * Refresh patches.
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Mon, 13 May 2024 21:42:32 +0200

kio (5.115.0-1) experimental; urgency=medium

  [ Pino Toscano ]
  * Drop the patch fix_kfreebsd_build, already not applied anymore since
    5.88.0-1.
  * Remove an obsolete maintscript entry.

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Enable LTO (Closes: #1015452).
  * Recommend switcheroo-control (Closes: #1051914).

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:06:16 +0100

kio (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:43 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libkf6kiocore6`.
